STRUCT DRM_FLIP_WORK(9)

NAME
struct_drm_flip_work - flip work queue

SYNOPSIS

struct drm_flip_work {
  const char * name;
  drm_flip_func_t func;
  struct work_struct worker;
  struct list_head queued;
  struct list_head commited;
  spinlock_t lock;
};

MEMBERS

name
    debug name

func
    callback fxn called for each committed item

worker
    worker which calls func

queued
    queued tasks

commited
    commited tasks

lock
    lock to access queued and commited lists

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT